package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.ServiceGoods;
import org.apache.ibatis.annotations.Param;

/**
 * 服务内容Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface ServiceGoodsMapper 
{
    /**
     * 查询服务内容
     * 
     * @param id 服务内容主键
     * @return 服务内容
     */
    public ServiceGoods selectServiceGoodsById(Long id);



    public String selectTitlesByIds(@Param("ids") List<String> ids);
    /**
     * 查询服务内容列表
     * 
     * @param serviceGoods 服务内容
     * @return 服务内容集合
     */
    public List<ServiceGoods> selectServiceGoodsList(ServiceGoods serviceGoods);

    /**
     * 新增服务内容
     * 
     * @param serviceGoods 服务内容
     * @return 结果
     */
    public int insertServiceGoods(ServiceGoods serviceGoods);

    /**
     * 修改服务内容
     * 
     * @param serviceGoods 服务内容
     * @return 结果
     */
    public int updateServiceGoods(ServiceGoods serviceGoods);

    /**
     * 删除服务内容
     * 
     * @param id 服务内容主键
     * @return 结果
     */
    public int deleteServiceGoodsById(Long id);

    /**
     * 批量删除服务内容
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteServiceGoodsByIds(Long[] ids);
}
